using Mall.Common.Plugin;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Text;

namespace Mall.Common.Enum
{
    /// <summary>
    /// 接口请求来源
    /// </summary>
    public enum ApiRequestFromEnum
    {
        /// <summary>
        /// erp端
        /// </summary>
        [EnumField("erp端")]
        ERP = 1,
        /// <summary>
        /// App端
        /// </summary>
        [EnumField("App端")]
        App = 2,
        /// <summary>
        /// B2B端
        /// </summary>
        [EnumField("B2B端")]
        B2B = 3,
        /// <summary>
        /// 小程序端（B2B使用）
        /// </summary>
        [EnumField("小程序端")]
        MiniProgram = 4,

        /// <summary>
        /// 酒店供应商
        /// </summary>
        [EnumField("酒店供应商")]
        HotelSupplier =5,
    }
}